| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Pool< T > Class Template Reference

Template class describing a simple pool of items. More...

`#include <OgreResourceManager.h>`

## Public Member Functions
| Pool ()
virtual | ~Pool ()
virtual void | addItem (const T &i)
| Add a new item to the pool. More...
virtual void | clear ()
| Clear the pool. More...
virtual std::pair< bool, T > | removeItem ()
| Get the next item from the pool. More...

## Detailed Description

### template<typename T>
class Ogre::Pool< T >

Template class describing a simple pool of items.

## Constructor & Destructor Documentation

## ◆ Pool()

template<typename T>

Ogre::Pool< T >::Pool | ( |  | ) |
| inline

## ◆ ~Pool()

template<typename T>

virtual Ogre::Pool< T >::~Pool | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ removeItem()

template<typename T>

virtual std::pair<bool, T> Ogre::Pool< T >::removeItem | ( |  | ) |
| inline virtual

Get the next item from the pool.

Returns
  pair indicating whether there was a free item, and the item if so

## ◆ addItem()

template<typename T>

virtual void Ogre::Pool< T >::addItem | ( | const T & | i | ) |
| inline virtual

Add a new item to the pool.

## ◆ clear()

template<typename T>

virtual void Ogre::Pool< T >::clear | ( | void |  | ) |
| inline virtual

Clear the pool.

Reimplemented in Ogre::ResourceManager::ResourcePool.

The documentation for this class was generated from the following file:

- OgreResourceManager.h